;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; term/func-keys.el for site-lisp path in xemacs-21.4.12
;;; Copyright (c) 1996-2003 SuSE Gmbh Nuernberg, Germany
;;;
;;; Author: Werner Fink  <werner@suse.de>, No warranty of any kind
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; num block
;; kp-f1 .. kp-f4 and kp-tab not found on MF-102
  (global-set-key [(kp-f1)]   esc-map) ; Escape
  (global-set-key [(kp-f2)]  'undo) ; Undo
  (global-set-key [(kp-f3)]  'isearch-forward) ; Search
  (global-set-key [(kp-f4)]  'kill-line) ; Kill-Line
  (global-set-key [(kp-tab)] 'indent-for-tab-command)
  (global-set-key [(kp-0)]   "0")   ; 0
  (global-set-key [(kp-1)]   "1")   ; 1
  (global-set-key [(kp-2)]   "2")   ; 2
  (global-set-key [(kp-3)]   "3")   ; 3
  (global-set-key [(kp-4)]   "4")   ; 4
  (global-set-key [(kp-5)]   "5")   ; 5
  (global-set-key [(kp-6)]   "6")   ; 6
  (global-set-key [(kp-7)]   "7")   ; 7
  (global-set-key [(kp-8)]   "8")   ; 8
  (global-set-key [(kp-9)]   "9")   ; 9
  (global-set-key [(kp-multiply)]  "*") ; `+'
  (global-set-key [(kp-add)]       "+") ; `+'
  (global-set-key [(kp-divide)]    "/") ; `/'
;; german fault:
(defvar lang-environment "en_us"
  "The value of the environment variable \"LANG\"
used to set appropriate keypad. Default value is \"en_us\".
If \"LANG\" is set to \"de\" or some other aliases
(see /usr/X11R6/lib/X11/locale/) the keypad decimal is
chosen to \",\".
                            Your SuSE-Team")
;
(let ((lang (getenv "LANG")))
    (if (null lang)
	(setq lang-environment "en_us")
      (setq lang-environment lang)))
;;
; (if (string-match "^\\(de$\\|de_\\|GER_DE\\|german\\)" lang-environment)
;     (progn
;       (global-set-key [(kp-decimal)]   ",")  ; `,' german decimal
;       (global-set-key [(kp-separator)] ".")) ; `.' german separator
;     (global-set-key [(kp-decimal)]   ".")
;     (global-set-key [(kp-separator)] ","))
  (global-set-key [(kp-decimal)]   ".")
  (global-set-key [(kp-separator)] ",")
  (global-set-key [(kp-subtract)]  "-") ; `-'
  (global-set-key [(kp-enter)]     'newline)           ; Linefeed
  (global-set-key [(kp-home)]      'beginning-of-line) ; home
  (global-set-key [(kp-up)]        'previous-line)     ; up
  (global-set-key [(kp-prior)]     'scroll-down)       ; ppg
  (global-set-key [(kp-left)]      'backward-char)     ; left
  (global-set-key [(kp-begin)]     'beginning-of-line) ; first
  (global-set-key [(kp-right)]     'forward-char)      ; right
  (global-set-key [(kp-end)]       'end-of-line)       ; end
  (global-set-key [(kp-down)]      'next-line)         ; down
  (global-set-key [(kp-next)]      'scroll-up)         ; npg
  (global-set-key [(kp-insert)]    'overwrite-mode)    ; insert/ovwrt
;;
;; Backspace, Delete and any thing else
;;
(if (not (eq 'x (console-type)))
      nil
  ;;
  ;; Overriding the BS/DEL/KP_DEL mapping for Xemacs-20.4:
  ;;  ... Hey they have done a good job: DEL and BS
  ;;      now are distinct.
  ;;
  (global-unset-key 'kp-delete)
  (local-unset-key  'kp-delete)
  ;;
  ;; What will be inserted `on quoted-insert'
  ;;(remprop 'delete    'ascii-character)
  ;;(remprop 'backspace 'ascii-character)
  ;;(put 'backspace 'ascii-character 127)
  ;;
; (load "delbs" t t)
  (load "x-compose" t t)
  ;;
  ;; Set the keyboard macro [(kp-delete)]
  ;; to the same action as for [(delete-char)]
  ;;
  (global-set-key   [(kp-delete)]  'backward-or-forward-delete-char)
  (local-set-key    [(kp-delete)]  'backward-or-forward-delete-char)
  ;;
  ;; Switch DEL/KP_DEL to delete-char
  ;;
  (setq delete-key-deletes-forward t)
)
;;
;; Most new users like this, but common emacs users?
;;
(global-set-key [(home)]            'beginning-of-line)
(global-set-key [(control home)]    'beginning-of-buffer)
(global-set-key [(end)]             'end-of-line)
(global-set-key [(control end)]     'end-of-buffer)
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; End of func-keys.el
